Bug 1882276 - Satellite installation fails at execution of '/usr/sbin/foreman-rake -- config -k 'remote_execution_cockpit_url' -v '/webcon/=%{host}''
Summary: Satellite installation fails at execution of '/usr/sbin/foreman-rake -- confi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Infrastructure
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Eric Helms
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 08:40 UTC by Jameer Pathan
Modified: 2020-10-27 13:09 UTC (History)
7 users (show)

Fixed In Version: foreman-2.1.2.19-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:09:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30932 0 Normal Closed plugin installation fails with "ActiveRecord::RecordInvalid: Validation failed: Name has already been taken" 2020-11-16 16:34:38 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:09:24 UTC

Description Jameer Pathan 2020-09-24 08:40:28 UTC
Description of problem:
Satellite-installer fails at execution of '/usr/sbin/foreman-rake -- config -k 'remote_execution_cockpit_url' -v '/webcon/=%{host}''

Version-Release number of selected component (if applicable):
- Satellite 6.8.0 snap 17

How reproducible:
- Always

Steps to Reproduce:
1. Try installing satellite 6.8.0 snap 17

Actual results:
- Fails at Execution of '/usr/sbin/foreman-rake -- config -k 'remote_execution_cockpit_url' -v '/webcon/=%{host}'' returned 1: rake aborted!

Expected results:
- Satellite 6.8.0 installed successfully.

Additional info:

Comment 5 Lukáš Hellebrandt 2020-09-24 14:33:46 UTC
FYI, I've just installed Sat 6.8 snap 17 without any issues.

Comment 6 Lukas Pramuk 2020-09-24 16:03:40 UTC
satellite-installer --enable-foreman-plugin-remote-execution-cockpit  is the reproducer

to workaround the issue I had to use --no-enable-foreman-plugin-remote-execution-cockpit

Comment 10 Eric Helms 2020-09-29 17:54:07 UTC
Created redmine issue https://projects.theforeman.org/issues/30932 from this bug

Comment 12 Bryan Kearney 2020-09-30 08:04:15 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30932 has been resolved.

Comment 14 Lukas Pramuk 2020-10-07 10:32:08 UTC
To reproduce this issue I had to install Satellite to VM to be able to adjust CPU count.
I reproduced the issue only with 3 or fewer CPUs.

Comment 15 Lukas Pramuk 2020-10-14 12:26:56 UTC
VERIFIED.

@Satellite 6.8.0 Snap18
foreman-2.1.2.19-1.el7sat.noarch

by the manual reproducer based on comment#6 and comment#14:

1) Prepare a VM with 1 CPU for Satellite installation

2) Install Satellite and enable cockpit feature

#satellite-installer --enable-foreman-plugin-remote-execution-cockpit


>>> installation finished successfully, the fix helped in situation when there is low CPU performance, I really see difference for setup with 3 or fewer cpus 


However the issue continues to occur, we encountered it twice:

- baremetal machine  24 CPUs, 16 GB RAM
- VM  4 CPUs, 16 GB RAM

So it looks like low RAM is also triggering the issue, recommended minimun is 20 GB so I don't expect this issue to occur in normal situation on supported setup

Comment 18 errata-xmlrpc 2020-10-27 13:09:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.